<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

     $src='//'.$domain.'/_lib/ctlg_item3.js'.$js_version;
     $script=$dom->appendChild($dom->createElement("script"," "));
     $script->setAttribute("src",$src);

echo $dom->saveXML();

if(empty($docu)){$docu='PC';}

if($docu=='PC'){$tabla='clie'; $xtitulo='Pedidos';}
if($docu=='FC'){$tabla='vtas'; $xtitulo='Facturas';}


// SELECT SQL
{

if(!empty($user_codigo))
{
     $sql_tran ='select * ';
     $sql_tran.='from '.$tabla.'1 ';
     $sql_tran.='left join '.$tabla.'2 on idnum1=idnum2 ';
     $sql_tran.='left join item0 on item=item_codigo ';
     $sql_tran.='left join mrca0 on item_mrca=mrca_codigo ';
     $sql_tran.='left join clor0 on item_clor=clor_codigo ';
     $sql_tran.='left join tlla0 on item_tlla=tlla_codigo ';
     $sql_tran.='left join kldd0 on item_kldd=kldd_codigo ';
     $sql_tran.='where status not in ("I","X") ';
     $sql_tran.='and docu like "'.$docu.'%" ';
     $sql_tran.='and enti like "'.substr($user0['user_cedula'],0,10).'%" ';
     
     $calc_tran=calc_tran($tabla);
     if(!empty($calc_tran))
     {$sql_tran=str_replace(' from ',','.$calc_tran.' from ',$sql_tran);}
     
     $xgroupby='group by idnum1 ';
     $xorderby='order by fecha desc,numero ';                                 

     if(mb_stristr($orden,'Recientes')){$xorderby='order by fecha desc,numero ';}
     if(mb_stristr($orden,'Anteriores')){$xorderby='order by fecha,numero ';}
     if(mb_stristr($orden,'-Valor')){$xorderby='order by total,fecha,numero ';}
     if(mb_stristr($orden,'+Valor')){$xorderby='order by total desc,fecha,numero ';}

     $sql_tran.=$xgroupby;                                 
     $sql_tran.=$xorderby;
     
//      if(!empty($limit)){$sql_tran.='limit '.$limit;}
     
     $res_tran=msql_query($sql_tran,$link_data);
     
}     
     

$msgres='';
$msgres.=msql_num_rows($res_tran).' Resultado(s)...';

}




echo '<div id="filtros">';
{
// OCULTOS
echo '<input id="format" hide value="'.$format.'">';
echo '<input id="limit" hide value="'.$limit.'">';
echo '<input id="docu" hide value="'.msql_result($res_item,0,'docu').'">';
echo '<input id="idnum1" hide value="'.msql_result($res_item,0,'idnum1').'">';
     
if($format!=4)
{$ztitulo='FILTROS'; include('ele_title.php');}


$zid='lsub'; $zvalue=$lsub; $ztodo=1;
$ztabla='lsub';
$zlabel='Linea';
$zonchange='{buscar_item(event);}';
if(mb_stristr('gmny.gnya',$cfg_empr)){$zhide=1;}
if($format==4){$zhide=1;}
include('ele_select.php');

$zid='mrca'; $zvalue=$mrca; $ztodo=1;
$ztabla='mrca';
$zlabel='Marca';
$zonchange='{buscar_item(event);}';
$zwhere='(mrca_codigo in(select distinct item_mrca from inve1 left join inve2 on idnum1=idnum2 left join item0 on item=item_codigo where status not in ("O","X")))';
if($format==4){$zhide=1;}
include('ele_select.php');

// $zid='clor'; $zvalue=$clor; $ztodo=1;
// $ztabla='clor';
// $zlabel='Color';
// $zonchange='{buscar_item(event);}';
// $zwhere='(clor_codigo in(select distinct item_clor from inve1 left join inve2 on idnum1=idnum2 left join item0 on item=item_codigo where status not in ("O","X")))';
// if($format==4){$zhide=1;}
// include('ele_select.php');

$zid='tstock'; $zvalue=$tstock;
$zlabel='Stock';
$ztriv=1;
$zonchange='{buscar_item(event);}';
if($format==1 or $format==2){$zhide=1;}
if($format==4){$zhide=1;}
include('ele_select.php');

$zid='tfoto'; $zvalue=$tfoto;
$zlabel='Foto';
$ztriv=1;
$zonchange='{buscar_item(event);}';
if($format==1 or $format==2){$zhide=1;}
if($format==4){$zhide=1;}
include('ele_select.php');

$zid='buscar'; 
$zvalue=$buscar;
$zlabel='Texto';
$zplace='buscar';
$zonenter='{buscar_item(event);}';
if($format==4){$zhide=1;}
include('ele_input.php');

$zid='btn_carrito'; 
$zlabel='Carrito';
$zalign='right';
$zonclick='{location.href="?scri=ctlg_item3&format=4&enti="+document.getElementById("enti").value+"&lpre="+document.getElementById("lpre").value;}';
if(empty($user_codigo) or $format==4 or $format==5){$zhide=1;}
include('ele_button.php');

$zid='btn_busca'; 
$zlabel='Buscar';
$zalign='right';
$zonclick='{buscar_item(event);}';
if($format==4){$zhide=1;}
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
if($format!=4)
{echo $msgres;}
echo '</span>';     


     
     
     $zlabel='Documento';
     $zid='docu2';
     $zoptions='PC,Pedido;';
     if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
     {$zoptions='PF,Proforma;';}
//      else
//      {$zoptions.='PC,Pedido;';}
//      $zoptions.='FC,Factura';
     if($format!=4){$zhide=1;}
     if($format==5){$zoptions='';}
     if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
     include('ele_select.php');
     

$zid='btn_procesar'; 
$zlabel='Procesar';
$zonclick='{proc_carr();}';
if($format!=4){$zhide=1;}
// if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zlabel='Ordenar';}
include('ele_button.php');

$zid='btn_reload'; 
$zlabel='Actualizar';
// $zalign='right';
$zonclick='{location.reload();}';
if($format!=4){$zhide=1;}
include('ele_button.php');
          
     
     

$zid='btn_regresar'; 
$zlabel='Regresar';
$zalign='right';
$zonclick='{ window.history.back();}';
if($format!=4){$zhide=1;}
include('ele_button.php');
     
     
$zid='btn_vaciar'; 
$zlabel='Vaciar';
$zalign='right';
$zonclick='{dele_carr();}';
if($format!=4){$zhide=1;}
include('ele_button.php');

     
     
     
     
     

{    
     
include('ele_break.php');

$ztitulo=$xtitulo;     
include('ele_title.php');
     
 // if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{

     if($format==2 or $format==5)
     {
          $zid='bode';
          $zvalue=$bode;
          $ztodo=1;
          $ztabla='bode'; $zlabel='Bodega';
          $zonchange='{buscar_item(event);}';
          include('ele_select.php');
     }


$zid='orden'; $zvalue=$orden;
$zlabel='Ordenar X';
$zoptions='Código;Nombre (A-Z);Nombre (Z-A);Precio <;Precio >';
if($format==4)
{$zoptions='Código;Nombre (A-Z);Nombre (Z-A);Cantidad;Precio <;Precio >';}
$zonchange='{buscar_item(event);}';
$zalign='right';
include('ele_select.php');

}//filtros     
echo '</div>';
     
          echo '<div id="cliedatos">';
  
     
if($format==2 or $format==3 or @mb_stristr('sist.supe.admi',$user0['user_tipo']));
{
     $ztabla='enti';
//           $zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1 union select distinct left(enti,10) from clie1))';
     include('ele_datalist.php');
}

$zid='enti'; 
$ztabla='enti';
$zlist='dl_enti';
$zlabel='Cliente'; 
$zvalue=$enti; 
if($format==1 or $format==5){$zhide=1;}
if($format==1){$zreado=1;}
//           if($format==4){$zcodeo=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{
     $zlabel='Cédula/Ruc';
     $zvalue=$user0['user_cedula'];
     $zcodeo=1;
}
include('ele_input.php');
     
     
     
if($format==4)
{
     if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
     {
          $ztabla='adrs';
//                $zwhere='(adrs_iuser="'.$user_codigo.'")';
          include('ele_datalist.php');
     }

     $zobj=1;include('ele_break.php');          

     $zid='email'; 
     $zvalue=$email; 
     $zlabel='e-mail';
     include('ele_input.php');

     $zid='wsapp'; $zvalue=$wsapp; 
     $zlabel='ws-app';
     $zclass='numeric';
     include('ele_input.php');

//           $zid='adrs';$zvalue=$adrs; 
//           $zlabel='Dirección';
//           $zwidth=20;
//           $ztype='area';  
//           include('ele_input.php');

     $zid='adrs'; $zvalue=$adrs; 
     $zlabel='Dirección';
     $ztabla='adrs';
     $zlist='dl_adrs';
//           if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=0; $zlabel='Cédula/Ruc'; $zexact=1;}
     include('ele_input.php');


//           $zobj=1;include('ele_break.php');

}

$zid='lpre'; 
$zvalue=$lpre;
$zlabel='Lista'; 
$zonchange='{buscar_item(event);}';
$zoptions='pvp1,Precio 1;pvp2,Precio 2;pvp3,Precio 3;pvp4,Precio 4;pvp5,Precio 5;';
if(mb_stristr('imcp',$cfg_empr))
{$zoptions='puni1,Precio 1;puni2,Precio 2;puni3,Precio 3;puni4,Precio 4;puni5,Precio 5;';}
if($format==1 or $format==5){$zhide=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{$zhide=1; $zreado=1; }
include('ele_select.php');
     

if($format==4)
{$zobj=1;include('ele_break.php');}
// if(!empty($user_codigo) and msql_num_rows($res_itemtot)!=0)
// if($format==4)
if($format!=5 and !empty($user_codigo))
{
     
     $zid=''; $zvalue=$cant; 
     $zlabel='Unids.';
     $ztalign='right';
     $zreado=2;
     include('ele_input.php');

     $zid=''; $zvalue=$subt; 
     $zlabel='Sub-Tot';
     $ztalign='right';
     $zreado=2;
     if($format!=4){$zhide=1;}
     include('ele_input.php');

     $zid=''; $zvalue=$tiva; 
     $zlabel='IVA';
     $ztalign='right';
     $zreado=2;
     if($format!=4){$zhide=1;}
     include('ele_input.php');

     $zid=''; $zvalue=$total; 
     $zlabel='Total';
     $ztalign='right';
     $zreado=2;
     if($format==4){$zsize=2;}
     include('ele_input.php');
     
     $zobj=1;include('ele_break.php');          
     
}

     
     
          $zobj=1;include('ele_break.php');
     
     
          echo '</div>';
     
}
     
     
     
include('ele_break.php');
//      echo $sql_item;

echo '<div id="main2">';     
{     
     $domd = new DOMDocument();
          $domd->encoding = 'utf-8';
          $domd->xmlVersion = '1.0';
          $domd->formatOutput = true;
     $elem=$domd;
     
     $table=$elem->appendChild($domd->createElement("table"));
     $table->setAttribute("border","1");
     
     msql_data_seek($res_item,0);     
     while($aso_item=msql_fetch_assoc($res_item))
     {
          $zid=$aso_item['item_codigo'];
          $ztabla='item';
          $zprecio=$lpre;

          $zcodigo=$aso_item['item_rfer'];
          if(empty($zcodigo)){$zcodigo=$aso_item['item_mdlo'];}
          if(empty($zcodigo)){$zcodigo=$aso_item['item_codigo'];}
          $zstockv=3;
          if(mb_stristr('gnya.gmny',$cfg_empr) and !esMovil()){$zobj=4;}
          if(mb_stristr('gnya.gmny',$cfg_empr)){$zstockv=0;}
          if(mb_stristr('orel.imcp',$cfg_empr)){$zfixh=1;}
          if($format==4){$zobj=5; $zstockv=0;}
          $ztotpvp=$aso_item['total']; 
          $zbode=$bode;
          $zcarr=1;
          if($format==5)
          {
               $zcarr=0;
               $zupld=1;
               $zobj=2;
          }
          include('ele_image.php');  
          
          if($format==4){$zobj=1;include('ele_break.php');}
          $simi_codi=$zcodigo;
          $same_codi=trim($aso_item['item_codigo']);
          $same_desc=trim($aso_item['item_descri']);
          
          
//           include('ele_reset.php');  
//           $trow=$elem->appendChild($domd->createElement("tr"));
//           $zdom=$domd;
//           $zele=$trow;
     //           $ztcell=2;
//           $zstockv=1;
//           $zobj=5;
//           include('ele_image.php');  
          
//           $tcell=$trow->appendChild($domd->createElement("td",$zcodigo));
//           $tcell=$trow->appendChild($domd->createElement("td",htmlspecialchars($aso_item['item_codigov'])));
//           $tcell=$trow->appendChild($domd->createElement("td",htmlspecialchars($aso_item['item_descri'])));

     }

//      echo $domd->saveXML();
     
     if(msql_num_rows($res_item)==1 and $format!=4)
     {
          include('ele_break.php');
          $same_desc=trim($same_desc);
          $same_desc=str_replace('  ',' ',$same_desc);
          $simi_desc=$same_desc;

          if(mb_stristr('gmny.gnya',$cfg_empr)){$same_codi=substr($same_codi,0,10);}
          if(mb_stristr('gmny.gnya',$cfg_empr)){$simi_desc=substr($same_codi,0,8);}  

          $sql_item=str_replace('where ','where item_codigo not like "'.$same_codi.'%" and ',$sql_item);

          $sql_simi=$sql_item;
          $sql_simi=str_replace('%'.$simi_codi.'%','%'.$simi_desc.'%',$sql_simi);
          $res_simi=msql_query($sql_simi,$link_data);

          if(msql_num_rows($res_simi)==0)
          {
               if(mb_stristr($simi_desc,' '))
               {
                    $words=explode(' ',$same_desc);
                    for($idx=count($words)-1; $idx>=0; $idx-- )
                    {
                         $simi_desc='';
                         for($idx2=0; $idx2<=$idx; $idx2++)
                         {$simi_desc.=$words[$idx2].' ';}
                         $simi_desc=trim($simi_desc);

                         $sql_simi=$sql_item;
                         $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$simi_desc.'%',$sql_simi);
                         $res_simi=msql_query($sql_simi,$link_data);
     //                     if(msql_num_rows($res_simi)!=0){break;}
                         if(msql_num_rows($res_simi)>1){break;}
                    }
               }
          }     

          if(msql_num_rows($res_simi)==0)
          {
               $sql_simi=$sql_item;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$simi_desc.'%',$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)==0)
          {
               $sql_simi=$sql_item;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$same_desc.'%',$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)==0)
          {
               if(mb_stristr($same_desc,' ')){$same_desc=substr($same_desc,0,strpos($same_desc,' '));}
               $sql_simi=$sql_item;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$same_desc.'%',$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)!=0)
          {
               $ztitulo='SIMILARES';include('ele_title.php');
               include('ele_break.php');
     //           echo msql_num_rows($res_simi).' Resultado(s)...';
          }

          while($aso_item=msql_fetch_assoc($res_simi))
          {
               $zid=$aso_item['item_codigo'];
               $zcodigo=$aso_item['item_rfer'];
               if(empty($zcodigo)){$zcodigo=$aso_item['item_mdlo'];}
               if(empty($zcodigo)){$zcodigo=$aso_item['item_codigo'];}
               if(mb_stristr('orel',$cfg_empr)){$zfixh=1;}
               
               include('ele_image.php');
          }

     }
}
echo '</div>';     
     
     
}


?>

<script>document.title="<?php echo $xtitulo;?>"</script>
